---
type: api
title: Get a proxy
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-proxies-itemid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-proxies-itemid
products:
  - Kibana
---

# Get a proxy

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/proxies/{itemId}`
- `GET` `/s/{space_id}/api/fleet/proxies/{itemId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `itemId` (string)
  The ID of the proxy

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a proxy by ID.<br/><br/>[Required authorization] Route required privileges: fleet-settings-read.

## Responses

#### `200`

Successful response

`application/json`

- `item` (object)
  - `certificate` (string) — nullable
  - `certificate_authorities` (string) — nullable
  - `certificate_key` (string) — nullable
  - `id` (string)
  - `is_preconfigured` (boolean · default: false)
  - `name` (string)
  - `proxy_headers` (map string to boolean | number | string) — nullable
  - `url` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
#### `404`

Not Found

## Code Examples

#### Console

```console
GET /api/fleet/proxies/{itemId}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/proxies/{itemId}"
```

## Response Examples

#### Get fleet proxy

A Fleet proxy

```json
{
  "item": {
    "id": "proxy-id-1",
    "is_preconfigured": false,
    "name": "My proxy",
    "url": "http://proxy.example.com:3128"
  }
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

#### Not found

No proxy was found with the given ID

```json
{
  "error": "Not Found",
  "message": "Fleet proxy proxy-id-1 not found",
  "statusCode": 404
}
```

